﻿using Example_LightAndSwitch.Interface;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Example_LightAndSwitch.Class
{
    public class Switch
    {
        private ILight switchClient;
        public Boolean switchClientPressed { get; set; }


        public Switch(ILight switchClient)
        {
            this.switchClient = switchClient;
        }


        public void Press()
        {
            switchClientPressed = !switchClientPressed;
            if (switchClientPressed)
            {
                this.switchClient.Off();
            }
            else
            {
                this.switchClient.On();
            }
        }
    }




}
